petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscMallocSetCUDAHost

Set PetscMalloc to use CUDAHostMalloc Switch the current malloc and free routines to the CUDA malloc and free routines

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocSetCUDAHost(void)

Not Collective

### Notes

This provides a way to use the CUDA malloc and free routines temporarily. One can switch back to the previous choice by calling PetscMallocResetCUDAHost().

### See Also

PetscMallocResetCUDAHost()

### Level

developer

### Location

src/sys/memory/cudamcudahost.cu
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages